Subject: [Ieprep] Re: draft-polk-ieprep-flow-model-considerations-00.txt

From: "James M. Polk" <[email-masked]>
Date: Thu, 23 Jan 2003 16:48:49 -0600

At 01:18 PM 1/23/2003 -0500, King, Kimberly  S. wrote:
>Hi James,
>
>I was a bit confused by the classification of FTP
>as out-of-band signaling in
>http://www.ietf.org/internet-drafts/draft-polk-ieprep-flow-model-considerati
>ons-00.txt.
>The text and picture show an Intermediary Server
>and I'm not sure what this would be in the case of FTP.

No it wouldn't with binary choices.

But the definition of In-Band control is stated as between the source and 
destination IP addresses, the same port number is used.

Out-of-Band control has either the IP addresses different from the data 
plane endpoints (like SIP), or the port numbers are different than the data 
plane src/dest endpoints.

FTP uses ports 20 and 21, even though the source and destination IP address 
is the same as the data plane.

I can offer changing the document to include diagrams (showing) and text 
(explaining) that the Server could be external to the destination endpoint 
in one Figure (a), and the other Figure (b) the server is logically 
different than the data endpoint (though with the same IP address).

Will this be satisfactory?

>Maybe the text could make it clear there doesn't have
>to be an Intermediary Server or am I missing something?
>(I realized that you classified FTP as out-of-band
>because data and signaling use different ports.)
>
>Kimberly

cheers,
James

               *************************************
"People generally demand more respect for their own rights than
                          they are willing to allow for others"

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep